Skip to main content
GET
/
accounts
/
{aid}
/
shopping
/
orders
/
{order_id}
/
captures
aid_orders_id_captures_get
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/captures \
  --header 'Authorization: Bearer <token>'
{
  "captures": [
    {
      "items": [
        {
          "amount": 27840,
          "line_id": 123,
          "original_currency": "SEK",
          "original_gross_amount": 39800,
          "conversion_rate_ppm": 1099000,
          "conversion_rate_timestamp": "2023-11-07T05:31:56Z",
          "conversion_rate_source": "ecb",
          "payout": {
            "rule_id": "<string>",
            "rule_type": "<string>",
            "destinations": [
              {
                "destination": "<string>",
                "amount": 123
              }
            ]
          }
        }
      ],
      "processed_at": "2023-11-07T05:31:56Z",
      "processed_by": "dintero-checkout",
      "payment_details": {
        "psp": "Bambora",
        "payment_id": "<string>",
        "payment_product": "bambora",
        "payment_product_type": "bambora.creditcard",
        "card": {
          "masked_pan": "4444 **** **** 4448",
          "type": "Credit",
          "brand": "Visa",
          "metadata": {}
        }
      },
      "metadata": {},
      "id": "bd04c959-d159-49b4-a096-2d84e014a8da",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "bd04c959-d159-49b4-a096-2d84e014a8da",
      "amount": 27840,
      "success": true,
      "_links": [
        {
          "href": "<string>"
        }
      ],
      "authorization_id": "bd04c959-d159-49b4-a096-2d84e014a8da"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
order_id
string
required

The resource identifier string

Response

capture collection

captures
object[]
required
Last modified on June 11, 2026